> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-data-connections.md).

# Connect to source and destination data

{% hint style="info" %}
Included in the Basic API.
{% endhint %}

## Connect to the source database

To configure the connection to the source database for the workspace, use:

[<mark style="background-color:orange;">**PUT**</mark>**&#x20;/api/DataSource/source\_db**](https://app.tonic.ai/apidocs/index.html#/DataSource/UpdateSourceConnectionInfo)

You specify the data connector type, and provide the required connection details for that data connector type.

## Connect to the destination database

Before you can run data generation, you must configure the connection to the destination database. To do this, use:

[ <mark style="background-color:orange;">**PUT**</mark> **/api/DataSource/destination\_db**](https://app.tonic.ai/apidocs/index.html#/DataSource/UpdateDestinationConnectionInfo)

The destination database must use the same data connector type as the source database. You provide the required connection details based on the data connector type.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-data-connections.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
